Kapitel 5. Paketmanagement
Zurück | 5.25 `apt-file` | Weiter

## 5.25 `apt-file`

`apt-file` sucht nach Dateien in Debian-Paketen. Dabei ist es unerheblich, ob die entsprechenden Pakete bereits auf dem System installiert sind oder nicht. `apt-file` greift dazu auf die Datei `Contents-<ARCHITEKTUR>.gz` zurück, die von einem der Debian-Spiegel geholt wird.

Die Syntax von `apt-file` lautet:

    apt-file [ options ] [ action ] [ pattern ]

Als Aktionen („actions“) sind dabei vorgesehen:

Aktionen

`update`

  Aktualisiert die Informationen zu den Paketen und Dateien, indem die Datei(en) `Contents-<ARCHITEKTUR>.gz` von den Servern anhand der Einträge in der Datei `/etc/apt/sources.list` geholt werden.

`search`

  Sucht nach dem Paket, in dem die Datei vorhanden ist. Es werden alle Pakete aufgelistet, auf die der Suchbegriff zutrifft.

      fr@wasabi:~$ apt-file search sources.list
      apt: usr/share/doc/apt/examples/sources.list
      apt: usr/share/doc/apt/examples/sources.list
      apt: usr/share/man/es/man5/sources.list.5.gz
      apt: usr/share/man/fr/man5/sources.list.5.gz
      apt: usr/share/man/fr/man5/sources.list.5.gz
      apt: usr/share/man/man5/sources.list.5.gz
      apt: usr/share/man/man5/sources.list.5.gz
      cdd-dev: etc/cdd/sources.list
      cdd-dev: etc/cdd/sources.list.local
      cdd-dev: etc/cdd/sources.list.stable
      cdd-dev: etc/cdd/sources.list.testing
      cdd-dev: etc/cdd/sources.list.unstable
      crosshurd: etc/crosshurd/sources.list/gnu
      crosshurd: etc/crosshurd/sources.list/gnu
      crosshurd: etc/crosshurd/sources.list/kfreebsd-gnu
      ...

`list`

  Zeigt den Inhalt eines Pakets an, auf den der Suchbegriff zutrifft. Diese Suche ähnelt sehr der Suche mit `dpkg -S`, jedoch muss hier das Paket nicht auf dem System installiert sein.

`purge`

  Löscht alle vorhanden `Contents-<ARCHITEKTUR>.gz`-Dateien aus dem Cache-Verzeichnis (normalerweise `/var/cache/apt/`).

Optionen

`--cache`, `-c cache-directory`

  Setzt das Cache-Verzeichnis auf einen anderen Pfad (normalerweise `/var/cache/apt/`). So kann `apt-file` auch ohne Adminstratorrechte eingesetzt werden.

`--verbose`, `-v`

  Gibt mehr Statusinformationen aus.

`--cdrom-mount`, `-d cdrom-mount-point`

  Mit dieser Option kann ein alternativer Pfad in dem Dateisystem angegeben werden, an dem die CD eingehängt wurde.

`--ignore-case`, `-i`

  Ignoriert Groß- und Kleinschreibung.

`--regexp`, `-x`

  Interpretiert den Suchbegriff als regulären Ausdruck.

`--version`, `-V`

  Zeigt die Versionsnummer von `apt-file` an.

`--architecture`, `-a architecture`

  Setzt die Hardwarearchitektur, für die die Suche durchgeführt werden soll. Zu beachten ist dabei, dass auch (mittels `update`) die entsprechende `Contents-<ARCHITEKTUR>.gz`-Datei vorhanden sein muss.

`--sources-list`, `-s sources.list`

  Verwendet eine andere Datei `sources.list` statt der Datei `/etc/apt/sources.list`

`--package-only`, `-l`

  Zeigt nur den Paketnamen, keine Dateinamen, an.

`--fixed-string`, `-F`

  Sucht nur genau nach der angegebenen Zeichenkette.

`--dummy`, `-y`

  Führt keine Aktionen aus; eine reine Simulation.

`--help`, `-h`

  Eine kurze Hilfe zu `apt-file`.

Weitere Anpassungen können in der Konfigurationsdatei von `apt-file` (`/etc/apt/apt-file.conf`) gemacht werden.

    # Apt-file configuration file

    # Substitutions are made as follow:
    #	host => remote hostname
    #	port => port
    #	uri => complete URI from sources.list
    #	path => path from /
    #	dist => the distrib name
    #	comp => the component name
    #	cache => path to the cache dir
    #	dest => the destination file name
    #	cdrom => cdrom mount point

    # Where are located Packages (relative to <comp> directory)
    destination = <host>_<path>_dists_<dist>_Contents-<arch>gz

    # Fetch methods
    http = wget -N -P "<cache> -O "<cache>lt;dest> "<uri>dists/<dist>Contents-<arch>gz" || rm -f "<cache>lt;dest>
    ftp = wget -N --passive-ftp -P "<cache> -O "<cache>lt;dest> "<uri>dists/<dist>Contents-<arch>gz" || \
          rm -f "<cache>lt;dest>
    ssh = scp -l <user> -P <port|22> "<host>lt;path>dists/<dist>Contents-<arch>gz" "<cache>lt;dest>
    rsh = rcp -l <user> "<host>lt;path>dists/<dist>Contents-<arch>gz" "<cache>lt;dest>
    file = cp "/<path>dists/<dist>Contents-<arch>gz" "<cache>lt;dest>
    copy = cp "/<path>dists/<dist>Contents-<arch>gz" "<cache>lt;dest>
    cdrom = echo "Put CDROM labeled <path> in the cdrom device" > /dev/stderr ; read ; mount "<cdrom> \
            cp "<cdrom>dists/<dist>Contents-<arch>gz" "<cache>lt;dest> umount "<cdrom>

Zurück | Nach oben | Weiter
5.24 `apt-extracttemplates` | Zum Anfang | 5.26 `apt-show-versions`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).